请教关于Emacs22.2中xft字体

Vim、Emacs配置和使用
回复
mokay
帖子: 3
注册时间: 2007-05-13 1:15
送出感谢: 0
接收感谢: 0

请教关于Emacs22.2中xft字体

#1

帖子 mokay » 2008-04-25 11:24

很多前面所说的emacs-unicode-2的Gnu CVS已经无法下载了啊,
难道移除了么???
但是下到了目前最新的22.2,
似乎这个版本并不支持xft,按照emacs23的方式加编译选项没什么作用,
顺便说下,其实这个编译好后已经可以显示中文,并且scim输入法输入也没有问题,
显示的字体我没查过,但是还挺好的,但是就是习惯了xft的,所以...
在.Xresources配置文件里加上响应配置项:
Emacs.FontBackend: xft
Emacs.Font:Microsoft YaHei
...
其中 YaHei字体已经安装,fc-list 已经显示了,在firefox中也应用成功,
但是 启动emacs就会提示 无法找到匹配字体Microsoft YaHei
换用其他WenQuanYi等也是如此。

是否目前22.2只能显示X11核心字库的字体呢?
这样的话,哪位知道如何实现对 YaHei和SimSun等xft的支持呢???


谢谢谢谢!!![
上次由 mokay 在 2008-04-25 11:45,总共编辑 1 次。
zhangsong023
帖子: 768
注册时间: 2006-09-20 19:56
送出感谢: 0
接收感谢: 1 次

#2

帖子 zhangsong023 » 2008-04-25 11:37

下不了是因为这个分支已经被合并了,记得是在23.0.50的时候就已经把unicode分支合并进来了,也就是说直接check emacs23的cvs就是了。

另外,如果你用的8.04,官方源里的snapshot就已经是emacs23.0.60以上的版本了,已经足够新了,没必要自己编译。节约能源,HOHO。
mokay
帖子: 3
注册时间: 2007-05-13 1:15
送出感谢: 0
接收感谢: 0

#3

帖子 mokay » 2008-04-25 11:48

zhangsong023 写了:下不了是因为这个分支已经被合并了,记得是在23.0.50的时候就已经把unicode分支合并进来了,也就是说直接check emacs23的cvs就是了。

另外,如果你用的8.04,官方源里的snapshot就已经是emacs23.0.60以上的版本了,已经足够新了,没必要自己编译。节约能源,HOHO。
原来这样啊,我的是7.10的
那么emacs23的源地址给说下呗?
我咋没留意过呢

3x
头像
异域追梦者
帖子: 424
注册时间: 2008-02-18 0:25
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 异域追梦者 » 2008-04-26 19:16

图片
回复

回到 “Vim和Emacs”